cupsfilter(8)

NAME
cupsfilter - konvertiere mittels CUPS-Filter eine Datei in ein anderes Format (veraltet)

SYNOPSIS
cupsfilter [ --list-filters ] [ -D ] [ -U Benutzer ] [ -c Konfig-Datei ] [ -d Drucker ] [ -e ] [ -i MIME/typ ] [ -j Auftrags-ID[,N] ] [ -m MIME/typ ] [ -n Kopien ] [ -o Name=Wert ] [ -p Dateiname.ppd ] [ -t Titel ] [ -u ] Dateiname

BESCHREIBUNG
cupsfilter ist eine Oberfläche für das CUPS-Filter-Subsystem, das es erlaubt, eine Datei in ein spezielles Format umzuwandeln, als ob Sie diese Datei mittels CUPS gedruckt hätten. Standardmäßig erzeugt cupsfilter eine PDF-Datei. Die konvertierte Datei wird zur Standardausgabe geschickt.

OPTIONEN

--list-filters
    Führt die Filter nicht wirklich aus, sondern gibt den verwandten Filter nach Stdout aus.

-D  Löscht die Eingabedatei nach der Umwandlung.

-U Benutzername
    Legt den Benutzernamen, der an die Filter weitergegeben wird, fest. Standardmäßig ist dies der Name des aktuellen Benutzers.

-c Konfig-Datei
    Verwendet die benannte cups-files.conf-Konfigurationsdatei.

-d Drucker
    Verwendet Informationen von dem benannten Drucker.

-e  Verwendet jeden Filter aus der PPD-Datei.

-i MIME/Typ
    Legt den Quelldateityp fest. Der Vorgabedateityp wird anhand des Dateinamens und des Inhalts der Datei geraten.

-j Auftrags-ID[,N]
    Konvertiert Dokument N aus dem festgelegten Druckauftrag. Falls N ausgelassen wird, wird Dokument 1 konvertiert.

-m MIME/Typ
    Legt den Zieldateityp fest. Standardmäßig ist dies application/pdf. Verwenden Sie Drucker/foo, um zu dem Druckerformat, wie es von den Filtern in der PPD-Datei definiert ist, zu konvertieren.

-n Kopien
    Legt die Anzahl der zu erstellenden Kopien fest.

-o Name=Wert
    Legt die an die CUPS-Filter zu übergebenden Optionen fest.

-p Dateiname.ppd
    Legt die zu verwendende PPD-Datei fest.

-t Titel
    Legt den Dokumententitel fest.

-u  Löscht die PPD-Datei nach der Umwandlung.

EXIT-STATUS
Im Fehlerfall liefert cupsfilter einen von Null verschiedenen Exit-Status zurück.

UMGEBUNG
Alle Standard-cups(1)-Umgebungsvariablen beeinflussen den Ablauf von cupsfilter.

DATEIEN
/etc/cups/cups-files.conf
/etc/cups/*.convs
/etc/cups/*.types
/usr/share/cups/mime/*.convs
/usr/share/cups/mime/*.types

HINWEISE
CUPS-Druckertreiber, -filter und -Backends sind veraltet und werden in einer zukünftigen Funktionsveröffentlichung von CUPS nicht weiter unterstützt. Drucker, die IPP nicht unterstützen, können mit Anwendungen wie ippeveprinter(1) unterstützt werden.

Anders als beim Drucken verwenden Filter, die mit dem Befehl cupsfilter ausgeführt werden, die aktuelle Benutzer- und Sicherheitssitzung. Dies kann zu anderer Ausgabe oder unerwartetem Verhalten führen.

BEISPIEL
Der folgende Befehl erzeugt eine PDF-Vorschau des Auftrags 42 für einen Drucker namens »meinDrucker« und speichert sie in einer Datei namens »Vorschau.pdf«:

    cupsfilter -m application/pdf -d meinDrucker -j 42 >Vorschau.pdf

SIEHE AUCH
cups(1), cupsd.conf(5), filter(7), mime.convs(7), mime.types(7), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.